Bug 894608

Summary: Review Request: coin-or-SYMPHONY - Solver for mixed-integer linear programs
Product: [Fedora] Fedora Reporter: Paulo Andrade <paulo.cesar.pereira.de.andrade>
Component: Package ReviewAssignee: Antonio Trande <anto.trande>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review
Target Milestone: ---Flags: anto.trande: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: coin-or-SYMPHONY-5.5.7-1.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-05-05 23:34:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 894585, 894586, 894587, 894588    
Bug Blocks: 894609    

Description Paulo Andrade 2013-01-12 10:51:23 EST
Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-SYMPHONY.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-SYMPHONY-5.4.5-3.fc19.src.rpm
Description: SYMPHONY is an open-source solver for mixed-integer linear programs (MILPs)
written in C. It can be used in three different main modes:

  * As a callable library through either the native C interface or through
    the Osi.
  * As an interactive solver using a command-line interface.
  * As a framework to build customized solvers for specific problem classes. 

SYMPHONY can be executed in either parallel (distributed or shared memory)
or sequential modes and has a number of advanced features that make it unique,
including the ability to

  * solve biobjective MILPs,
  * warm start the solution procedure, and
  * perform basic sensitivity analyses. 

SYMPHONY links to a number of other COIN projects for additional
functionality, including:

   * Clp (the default solver for LP relaxations)
   * Osi (an interface to alternative solvers for solving LP relaxations)
   * Cgl (for cut generation)
   * CoinUtils (for reading in MPS files and various utilities)
Fedora Account System Username: pcpa
Comment 1 Paulo Andrade 2013-01-12 10:52:10 EST
Note that the tarball is remade due to:
+ Data files without a clean license. licensecheck does not trigger
  it because they are small test case files, but a not so small
  collection, and authorship information was lost.
+ ThirdParty directory, that points to, but has no contents, of
  non free code (usually source code open but needs some kind of
  paid license to be able to use).
+ Most coin-or projects bundle other coin-or projects that are
  dependencies. If tarballs are not repackaged, %build will remove
  the bundled dependencies.

I made the original package back in september and was talking from
time to time to upstream about the issues above. There should be
at some point in the near future a new release with bundled dependencies
and code that cannot be redistributed removed from tarballs. There is
also a way to get "clean" tarballs from coin-or trac, but for the
review request I did choose the most common method in Fedora for
these conditions.
Comment 2 Paulo Andrade 2013-01-14 17:40:39 EST
Update:

- Update to latest upstream release.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-SYMPHONY.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-SYMPHONY-5.4.6-1.fc19.src.rpm
Comment 3 Paulo Andrade 2014-04-19 15:00:57 EDT
- Update to latest upstream release.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-SYMPHONY.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-SYMPHONY-5.5.7-1.fc21.src.rpm
Comment 4 Antonio Trande 2014-04-24 12:45:12 EDT
Package approved.

- Note: No known owner of /usr/include/coin
This directory is owned by coin-or-CoinUtils-devel, properly required.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 295 files have unknown license. Detailed output
     of licensecheck in /home/sagitter/894608-coin-or-
     SYMPHONY/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/include/coin
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/include/coin
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: coin-or-SYMPHONY-5.5.7-1.fc21.x86_64.rpm
          coin-or-SYMPHONY-devel-5.5.7-1.fc21.x86_64.rpm
          coin-or-SYMPHONY-5.5.7-1.fc21.src.rpm
coin-or-SYMPHONY.x86_64: W: spelling-error %description -l en_US biobjective -> bi objective, bi-objective, objective
coin-or-SYMPHONY.x86_64: W: shared-lib-calls-exit /usr/lib64/libSym.so.3.5.7 exit@GLIBC_2.2.5
coin-or-SYMPHONY.x86_64: W: no-manual-page-for-binary symphony
coin-or-SYMPHONY-devel.x86_64: W: no-documentation
coin-or-SYMPHONY.src: W: spelling-error %description -l en_US biobjective -> bi objective, bi-objective, objective
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint coin-or-SYMPHONY-devel coin-or-SYMPHONY
coin-or-SYMPHONY-devel.x86_64: W: no-documentation
coin-or-SYMPHONY.x86_64: W: spelling-error %description -l en_US biobjective -> bi objective, bi-objective, objective
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 typeinfo for OsiSolverInterface
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::isPrimalObjectiveLimitReached() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::isDualObjectiveLimitReached() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::getPointerToWarmStart(bool&)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::markHotStart()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::solveFromHotStart()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::unmarkHotStart()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::getNumIntegers() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::getColType(bool) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::getStrictColSolution()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::getFractionalIndices(double) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::setObjCoeffSet(int const*, int const*, double const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::setObjective(double const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::setColLower(double const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::setColUpper(double const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::setColSetBounds(int const*, int const*, double const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::setRowSetBounds(int const*, int const*, double const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::setRowSetTypes(int const*, int const*, char const*, double const*, double const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::reducedCostFix(double, bool)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::setContinuous(int const*, int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::setInteger(int const*, int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::dfltRowColName(char, int, unsigned int) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::getObjName(unsigned int) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::getRowName(int, unsigned int) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::getRowNames()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::setRowName(int, std::basic_string<char, std::char_traits<char>, std::allocator<char> >)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::setRowNames(std::vector<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&, int, int, int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::deleteRowNames(int, int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::getColName(int, unsigned int) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::getColNames()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::setColName(int, std::basic_string<char, std::char_traits<char>, std::allocator<char> >)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::setColNames(std::vector<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&, int, int, int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::deleteColNames(int, int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::addCol(CoinPackedVectorBase const&, double, double, double, std::basic_string<char, std::char_traits<char>, std::allocator<char> >)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::addCol(int, int const*, double const*, double, double, double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::addCol(int, int const*, double const*, double, double, double, std::basic_string<char, std::char_traits<char>, std::allocator<char> >)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::addCols(int, CoinPackedVectorBase const* const*, double const*, double const*, double const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::addCols(int, int const*, int const*, double const*, double const*, double const*, double const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::addRow(CoinPackedVectorBase const&, double, double, std::basic_string<char, std::char_traits<char>, std::allocator<char> >)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::addRow(CoinPackedVectorBase const&, char, double, double, std::basic_string<char, std::char_traits<char>, std::allocator<char> >)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::addRow(int, int const*, double const*, double, double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::addRows(int, CoinPackedVectorBase const* const*, double const*, double const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::addRows(int, CoinPackedVectorBase const* const*, char const*, double const*, double const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::addRows(int, int const*, int const*, double const*, double const*, double const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::restoreBaseModel(int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::applyCuts(OsiCuts const&, double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::applyRowCuts(int, OsiRowCut const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::applyRowCuts(int, OsiRowCut const**)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::loadFromCoinModel(CoinModel&, bool)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::readMps(char const*, char const*, int&, CoinSet**&)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::writeLp(char const*, char const*, double, int, int, double, bool) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::writeLp(_IO_FILE*, double, int, int, double, bool) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::readLp(char const*, double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::passInMessageHandler(CoinMessageHandler*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::findIntegersAndSOS(bool)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::activateRowCutDebugger(char const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::activateRowCutDebugger(double const*, bool)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::canDoSimplexInterface() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::enableFactorization() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::disableFactorization() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::basisIsAvailable() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::getBasisStatus(int*, int*) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::setBasisStatus(int const*, int const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::getReducedGradient(double*, double*, double const*) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::getBInvARow(int, double*, double*) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::getBInvRow(int, double*) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::getBInvACol(int, double*) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::getBInvCol(int, double*) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::getBasics(int*) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::enableSimplexInterface(bool)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::disableSimplexInterface()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::pivot(int, int, int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::primalPivotResult(int, int, int&, int&, double&, CoinPackedVector*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::dualPivotResult(int&, int&, int, int, double&, CoinPackedVector*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 CoinError::printErrors_
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_load_problem(SYM_ENVIRONMENT*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_num_cols(SYM_ENVIRONMENT*, int*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_is_time_limit_reached(SYM_ENVIRONMENT*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_set_continuous(SYM_ENVIRONMENT*, int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_row_activity(SYM_ENVIRONMENT*, double*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_set_warm_start(SYM_ENVIRONMENT*, WARM_START_DESC*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_find_initial_bounds(SYM_ENVIRONMENT*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_is_continuous(SYM_ENVIRONMENT*, int, int*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_close_environment(SYM_ENVIRONMENT*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_set_row_upper(SYM_ENVIRONMENT*, int, double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiRowCut::lb() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_obj_sense(SYM_ENVIRONMENT*, int*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_num_rows(SYM_ENVIRONMENT*, int*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_col_solution(SYM_ENVIRONMENT*, double*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 CoinPackedVector::CoinPackedVector(bool)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 CoinMpsIO::CoinMpsIO()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_read_gmpl(SYM_ENVIRONMENT*, char*, char*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_iteration_count(SYM_ENVIRONMENT*, int*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 CoinPackedMatrix::copyOf(CoinPackedMatrix const&)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_dbl_param(SYM_ENVIRONMENT*, char const*, double*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::setApplicationData(void*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_set_obj2_coeff(SYM_ENVIRONMENT*, int, double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_set_int_param(SYM_ENVIRONMENT*, char const*, int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_mc_solve(SYM_ENVIRONMENT*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_lb_for_new_rhs(SYM_ENVIRONMENT*, int, int*, double*, double*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 CoinMpsIO::writeMps(char const*, int, int, int, CoinPackedMatrix*, int, CoinSet const*) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_is_iteration_limit_reached(SYM_ENVIRONMENT*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_delete_cols(SYM_ENVIRONMENT*, int, int*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 CoinPackedMatrix::CoinPackedMatrix(bool, int, int, int, double const*, int const*, int const*, int const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiRowCut::row() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::~OsiSolverInterface()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_set_col_solution(SYM_ENVIRONMENT*, double*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_write_warm_start_desc(WARM_START_DESC*, char*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_col_upper(SYM_ENVIRONMENT*, double*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_is_proven_optimal(SYM_ENVIRONMENT*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_read_warm_start(char*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiRowCut::ub() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 CoinMpsIO::setMpsData(CoinPackedMatrix const&, double, double const*, double const*, double const*, char const*, char const*, double const*, double const*, char const* const*, char const* const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_row_lower(SYM_ENVIRONMENT*, double*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_set_integer(SYM_ENVIRONMENT*, int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_create_copy_warm_start(WARM_START_DESC*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_set_obj_sense(SYM_ENVIRONMENT*, int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_set_defaults(SYM_ENVIRONMENT*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_set_primal_bound(SYM_ENVIRONMENT*, double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_obj_coeff(SYM_ENVIRONMENT*, double*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_set_col_lower(SYM_ENVIRONMENT*, int, double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_int_param(SYM_ENVIRONMENT*, char const*, int*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_set_col_names(SYM_ENVIRONMENT*, char**)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_ub_for_new_rhs(SYM_ENVIRONMENT*, int, int*, double*, double*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_warm_solve(SYM_ENVIRONMENT*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_col_lower(SYM_ENVIRONMENT*, double*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_is_proven_primal_infeasible(SYM_ENVIRONMENT*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_set_dbl_param(SYM_ENVIRONMENT*, char const*, double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 CoinMpsIO::~CoinMpsIO()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_ub_for_new_obj(SYM_ENVIRONMENT*, int, int*, double*, double*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_is_target_gap_achieved(SYM_ENVIRONMENT*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_create_copy_environment(SYM_ENVIRONMENT*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_create_permanent_cut_pools(SYM_ENVIRONMENT*, int*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_row_range(SYM_ENVIRONMENT*, double*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 CoinPackedMatrix::CoinPackedMatrix()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 CoinPackedVector::operator=(CoinPackedVector const&)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 CoinPackedVector::~CoinPackedVector()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_set_str_param(SYM_ENVIRONMENT*, char const*, char const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::readMps(char const*, char const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_user_data(SYM_ENVIRONMENT*, void**)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_open_environment()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_delete_warm_start(WARM_START_DESC*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_is_abandoned(SYM_ENVIRONMENT*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_delete_rows(SYM_ENVIRONMENT*, int, int*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_warm_start(SYM_ENVIRONMENT*, int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_infinity()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_is_binary(SYM_ENVIRONMENT*, int, int*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 CoinPackedMatrix::CoinPackedMatrix(CoinPackedMatrix const&)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_rhs(SYM_ENVIRONMENT*, double*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_obj_val(SYM_ENVIRONMENT*, double*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_solve(SYM_ENVIRONMENT*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_str_param(SYM_ENVIRONMENT*, char const*, char**)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_set_col_upper(SYM_ENVIRONMENT*, int, double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_explicit_load_problem(SYM_ENVIRONMENT*, int, int, int*, int*, double*, double*, double*, char*, double*, double*, char*, double*, double*, char)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_add_row(SYM_ENVIRONMENT*, int, int*, double*, char, double, double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_set_row_type(SYM_ENVIRONMENT*, int, char, double, double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_obj2_coeff(SYM_ENVIRONMENT*, double*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_row_sense(SYM_ENVIRONMENT*, char*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 CoinPackedMatrix::reverseOrdering()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_is_integer(SYM_ENVIRONMENT*, int, char*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 CoinPackedMatrix::copyOf(bool, int, int, int, double const*, int const*, int const*, int const*, double, double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_matrix(SYM_ENVIRONMENT*, int*, int*, int*, double*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_row_upper(SYM_ENVIRONMENT*, double*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_parse_command_line(SYM_ENVIRONMENT*, int, char**)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_set_row_lower(SYM_ENVIRONMENT*, int, double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_primal_bound(SYM_ENVIRONMENT*, double*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_set_obj_coeff(SYM_ENVIRONMENT*, int, double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::OsiSolverInterface()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_get_num_elements(SYM_ENVIRONMENT*, int*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 sym_add_col(SYM_ENVIRONMENT*, int, int*, double*, double, double, double, char, char*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libOsiSym.so.3.5.7 OsiSolverInterface::getApplicationData() const
coin-or-SYMPHONY.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOsiSym.so.3.5.7 /lib64/libm.so.6
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 vtable for CglClique
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 typeinfo for CoinWarmStartBasis
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinError::printErrors_
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglFlowCover::numFlowCuts_
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::getRightHandSide() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiClpSolverInterface::setupForRepeatedUse(int, int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::getRowRange() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglTreeInfo::CglTreeInfo()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglOddHole::CglOddHole()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglOddHole::setMinimumViolation(double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::getObjCoefficients() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglProbing::setMaxProbe(int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::objectiveOffset() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::getNumCols() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::getColUpper() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::CoinLpIO()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::getInfinity() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglProbing::setMaxElements(int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglOddHole::setMaximumEntries(int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::columnName(int) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiCuts::OsiCuts(OsiCuts const&)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinPackedVector::CoinPackedVector(bool)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::CoinMpsIO()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglProbing::setRowCuts(int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::getRowRange() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglProbing::setUsingObjective(int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiRowCut::rhs() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 ClpSimplex::setPerturbation(int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglProbing::setMaxPass(int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglOddHole::setMinimumViolationPer(double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinWarmStartBasis::CoinWarmStartBasis()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglProbing::setMaxElementsRoot(int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::getProblemName() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiColCut::print() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglProbing::setMaxLookRoot(int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiClpSolverInterface::getModelPtr() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::writeMps(char const*, int, int, int, CoinPackedMatrix*, int, CoinSet const*) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinPackedMatrix::CoinPackedMatrix(bool, int, int, int, double const*, int const*, int const*, int const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiRowCut::row() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglProbing::CglProbing()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::getMatrixByCol() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::getNumElements() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglProbing::setMode(int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::setMpsData(CoinPackedMatrix const&, double, double const*, double const*, double const*, char const*, char const*, double const*, double const*, char const* const*, char const* const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiRowCut::OsiRowCut()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::readMps(char const*, char const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiClpSolverInterface::setSpecialOptions(unsigned int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::getInfinity() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiCuts::OsiCuts()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::isInteger(int) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::getColLower() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::getNumRows() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::getRowSense() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::setInfinity(double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglProbing::setMaxLook(int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::getRowSense() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::getColUpper() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::~CoinMpsIO()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglTreeInfo::~CglTreeInfo()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinPackedMatrix::~CoinPackedMatrix()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiRowCut::operator=(OsiRowCut const&)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::writeLp(char const*, bool)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiColCut::~OsiColCut()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinPackedVector::insert(int, double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglTwomir::CglTwomir()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::getMatrixByCol() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::~CoinLpIO()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglGomory::CglGomory()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::setLpDataWithoutRowAndColNames(CoinPackedMatrix const&, double const*, double const*, double const*, char const*, double const*, double const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::readLp(char const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiRowCut::~OsiRowCut()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglClique::CglClique(bool, bool)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinPackedVector::~CoinPackedVector()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiRowCut::range() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglKnapsackCover::CglKnapsackCover()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiColCut::operator=(OsiColCut const&)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::isInteger(int) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglCutGenerator::~CglCutGenerator()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::getNumElements() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglProbing::setMaxPassRoot(int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglProbing::setMaxProbeRoot(int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::getObjCoefficients() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::setLpDataRowAndColNames(char const* const*, char const* const*)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiCuts::operator=(OsiCuts const&)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglGomory::setLimit(int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::columnName(int) const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMessageHandler::setLogLevel(int)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiRowCut::print() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CglFlowCover::CglFlowCover()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiCuts::~OsiCuts()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::getColLower() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 ClpModel::setDblParam(ClpDblParam, double)
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiColCut::OsiColCut()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiClpSolverInterface::OsiClpSolverInterface()
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::objectiveOffset() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::getNumRows() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinMpsIO::getProblemName() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::getRightHandSide() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 CoinLpIO::getNumCols() const
coin-or-SYMPHONY.x86_64: W: undefined-non-weak-symbol /usr/lib64/libSym.so.3.5.7 OsiRowCut::sense() const
coin-or-SYMPHONY.x86_64: W: shared-lib-calls-exit /usr/lib64/libSym.so.3.5.7 exit@GLIBC_2.2.5
coin-or-SYMPHONY.x86_64: W: no-manual-page-for-binary symphony
2 packages and 0 specfiles checked; 0 errors, 276 warnings.
# echo 'rpmlint-done:'



Requires
--------
coin-or-SYMPHONY-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    coin-or-CoinUtils-devel
    coin-or-SYMPHONY(x86-64)
    libOsiSym.so.3()(64bit)
    libSym.so.3()(64bit)
    pkgconfig(cgl)
    pkgconfig(coinutils)
    pkgconfig(osi)
    pkgconfig(osi-clp)
    pkgconfig(symphony)

coin-or-SYMPHONY (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libCgl.so.1()(64bit)
    libClp.so.1()(64bit)
    libCoinUtils.so.3()(64bit)
    libOsi.so.1()(64bit)
    libOsiClp.so.1()(64bit)
    libSym.so.3()(64bit)
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
coin-or-SYMPHONY-devel:
    coin-or-SYMPHONY-devel
    coin-or-SYMPHONY-devel(x86-64)
    pkgconfig(osi-sym)
    pkgconfig(symphony)
    pkgconfig(symphony-app)

coin-or-SYMPHONY:
    coin-or-SYMPHONY
    coin-or-SYMPHONY(x86-64)
    libOsiSym.so.3()(64bit)
    libSym.so.3()(64bit)



Source checksums
----------------
http://www.coin-or.org/download/pkgsource/SYMPHONY/SYMPHONY-5.5.7.tgz :
  CHECKSUM(SHA256) this package     : 3451d4bf568c9f7f3360489c40428220f646f32edbc1cb084042c7a3f0b24ccb
  CHECKSUM(SHA256) upstream package : 3451d4bf568c9f7f3360489c40428220f646f32edbc1cb084042c7a3f0b24ccb


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 894608
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 5 Paulo Andrade 2014-04-25 11:23:38 EDT
New Package SCM Request
=======================
Package Name: coin-or-SYMPHONY
Short Description: Solver for mixed-integer linear programs
Owners: pcpa
Branches: f20
InitialCC:
Comment 6 Jon Ciesla 2014-04-25 12:43:21 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2014-04-26 01:09:41 EDT
coin-or-SYMPHONY-5.5.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/coin-or-SYMPHONY-5.5.7-1.fc20
Comment 8 Fedora Update System 2014-04-27 05:07:37 EDT
coin-or-SYMPHONY-5.5.7-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 9 Fedora Update System 2014-05-05 23:34:17 EDT
coin-or-SYMPHONY-5.5.7-1.fc20 has been pushed to the Fedora 20 stable repository.